Subject: Re: [multipathtcp] Multipath Address Family

From: [email-masked] (Noel Chiappa)
Date: Mon, 30 Nov 2009 17:15:10 -0500 (EST)

> From: Yoshifumi Nishida <[email-masked]>

    > With this API, is it possible for applications to specify something
    > like "stream service" instead of specifying trasnport protocol? I mean,
    > doesn't application have to have fallback codes for multiple transport
    > protocols by using this API?

Interesting idea. IIRC, the LISP Machine software had something similar (back
in the days when NCP, TCP and CHAOS were all options, along with 'gateways'
among same), so that's one place to look to see how such an interface might
actually look/work.

        Noel